Page MenuHomePhabricator

Understanding first day: prototype instrumentation approach
Closed, ResolvedPublic

Description

Experiment with an approach to instrumentation that allows us to understand the complete flow of new editor activities right after account creation, while safeguarding user privacy.

Details

Related Gerrit Patches:

Event Timeline

JTannerWMF moved this task from Inbox to Q2 2019-20 on the Growth-Team board.Oct 1 2018, 3:18 PM
JTannerWMF moved this task from Q2 2019-20 to FY 2019-20 on the Growth-Team board.

Change 464432 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] WIP: Log page data on each view

https://gerrit.wikimedia.org/r/464432

@Catrope @SBisson I've moved this to code review so you all can provide some feedback. I'm not sure about adding API requests at this point, it seems like we would get an overwhelming number of events, but I could add that in if you want. (Or we could create a separate task for exploring that.)

Change 467553 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] WIP: Proof-of-concept external URL redirection for event logging

https://gerrit.wikimedia.org/r/467553

Change 467553 abandoned by Kosta Harlan:
WIP: Proof-of-concept external URL redirection for event logging

Reason:
Abandon in favor of 468047

https://gerrit.wikimedia.org/r/467553

Change 464432 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Provide capability to log page views for users younger than 24 hours

https://gerrit.wikimedia.org/r/464432

Change 469471 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] Fix configuration variable name for wgWMEUnderstandingFirstDay

https://gerrit.wikimedia.org/r/469471

Change 469471 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix configuration variable name for wgWMEUnderstandingFirstDay

https://gerrit.wikimedia.org/r/469471

Change 469520 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] Fix parameter order for hash_hmac

https://gerrit.wikimedia.org/r/469520

Change 469520 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Fix parameter order for hash_hmac

https://gerrit.wikimedia.org/r/469520

Looking into eventlogging on betalabs:

(1) the events are recorded only client-side-events.log

@deployment-eventlog05:/srv/log/eventlogging$ grep 'schema.*EditorJourney.*' all-events.log | wc 
      0       0       0
@deployment-eventlog05:/srv/log/eventlogging$ grep 'schema.*EditorJourney.*' client-side-events.log | wc 
    162     162  168496

(2) all-events.log does not record any events:

-rw-r--r-- 1 eventlogging eventlogging         0 Oct 26 06:25 all-events.log
drwxrwxr-x 2 eventlogging eventlogging      4096 Oct 29 06:25 archive
-rw-r--r-- 1 eventlogging eventlogging 240502691 Oct 29 23:38 client-side-events.log
drwxr-xr-x 2 eventlogging eventlogging      4096 Oct 29 06:25 systemd

(3) I did not see any failures of EditorJourney in systemd :

@deployment-eventlog05:/srv/log/eventlogging$ grep  'EditorJourney.*'  systemd/eventlogging-processor@client-side-01.log |wc
  0       0       0
Etonkovidova closed this task as Resolved.Nov 1 2018, 8:33 PM

Verified "EditAttemptStep" and "EdiorJourney" (betalabs) - the events are recorded and stored in log db on @deployment-eventlog05.

sbassett triaged this task as Normal priority.Oct 16 2019, 4:38 PM
sbassett moved this task from Backlog to Done on the Privacy board.
sbassett removed a project: Patch-For-Review.